Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ATest

All Superinterfaces:
  AAct, ASink, org.eclipse.emf.ecore.EObject, IAct, IID, IValue, org.eclipse.emf.common.notify.Notifier

    public interface ATest

extends AAct, ASink

A representation of the model object ' ATest'.

Author:
  Miles Parker *

  The following features are supported:

  - `Condition`
See Also:
  `org.metaabm.act.MetaABMActPackage#getATest()`

Field Summary
`static java.lang.String` | `copyright`

Method Summary
`FLogical` | `getFunction()` Returns the value of the 'Condition' containment reference.
`void` | `setCondition(FLogical value)` Sets the value of the '`Condition`' containment reference.

Methods inherited from interface org.metaabm.act.ASink
`accepts, getInputs, isMultiValue, setFunction`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.IValue
`getAccessors, getAvailableTypes, references`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getFunction

    FLogical getFunction()

  Returns the value of the 'Condition' containment reference.

  If the meaning of the 'Condition' containment reference isn't clear, there really should be more of a description here...

  Specified by:
    `getFunction` in interface `ASink`
  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `setCondition(FLogical)`, `org.metaabm.act.MetaABMActPackage#getATest_Condition()`

### setCondition

    void setCondition(FLogical value)

  Sets the value of the '`Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Condition' containment reference.
  See Also:
    `getFunction()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD